<?php
	if ($user_level < 6) die ( __('Cheatin&#8217; uh?') );  	// safety net to ctach cheets
?>

<h2>Verwaltung des BDP RSS Aggregators</h2>

<h3>Den <a href="http://www.ozpolitics.info/blog/?p=87">BDP-RSS Aggregator</a> zu verwenden, das ist so einfach wie bis 4 zu zählen:</h3>

<ol>
<li><b><a href="#addfeeds">F&uuml;ge die Feeds hinzu</a></b>, die du auf deiner Seite zur Verf&uuml;gung stellen willst &mdash; dabei kannst du mehrere Feeds mit Leerzeichen getrennt gleichzeitig angeben.</li>
<li><b><a href="#createformat">Erzeuge/Ver&auml;ndere ein Ausgabeformat</a></b>, das f&uuml;r die Darstellung der aggregierten Feeds verwendet werden soll.</li>
<li><b><a href="#setpolling">Setze/Ver&auml;ndere die Einstellungen f&uuml;r die Feedabholung</a></b>, die verwendet werden, um die verwendeten Feeds regelm&auml;&szlig;ig zu aktualisieren.</li>
<li><b>Setze einen Aufruf der Funktion <code>BDPRSS2::output(n)</code> function</b> (zum Beispiel) in den Code deiner Seitenleiste, wobei der Parameter <code>n</code> die ID des Ausgabeformates angibt.</li>
</ol>


<p><hr /></p>

<fieldset>
<a name="addfeeds"></a>
<h3>Schritt 1: Feeds</h3>
<h4>F&uuml;ge einen neuen Feed hinzu</h4>
<form method="post" action="<?php echo $selfreference; ?>">
	<table border="0" width="100%" cellspacing="2" cellpadding="5" class="editform"> 
		<tr valign="middle">
			<td align="left"><strong>RSS-Adresse:</strong>
				<input type="text" name="bdprss_new_feed_name" value="" size="60" /></td>
			<td align="right">
				<input type="submit" name="bdprss_add_feed_button" value="Feed hinzuf&uuml;gen &raquo;" />
			</td>
		</tr>
	</table>
</form>

<?php 
global $bdprss_db;
$overriden = FALSE;
if($bdprss_db->count_in_sitetable()) {
?>
	<hr width='50%' />
	<h4>Verwendete Feeds</h4>
	<table width="100%" cellpadding="3" cellspacing="3">
<?php 
	$file = get_settings('siteurl') . '/wp-admin/edit.php?page=' . BDPRSS2_DIRECTORY. '/bdp-rssadmin.php';
	$now = $bdprss_db->now;

	echo "<tr><th align='left'>Website und Feed</th><th>Letztes Update</th>".
		"<th>GMT-Korrektur</th><th>Abholungsh&auml;ufigkeit</th>".
		"<th>Letzte Abholung</th><th>Letzter Update</th><th>N&auml;chste Abholung</th>".
		"<th colspan='3'>Aktionen</th></tr>\n";
	
	$result = $bdprss_db->get_all_sites();
	
	$benchmark = $now - (60 * 60 * 24 * 7);	// highlight blogs with updates older than 7 days
	
	if($result) {
		foreach($result as $r) {
			$ref = $r->{$bdprss_db->cidentifier};
			$url = $r->{$bdprss_db->cfeedurl};
			$site = $r->{$bdprss_db->csitename};
			$siteurl = $r->{$bdprss_db->csiteurl};
			$description = $r->{$bdprss_db->cdescription};
			$gmt = $r->{$bdprss_db->cgmtadjust};
			$polled = BDPRSS2::getage( $r->{$bdprss_db->clastpolltime} );
			$updated = BDPRSS2::getage( $r->{$bdprss_db->cupdatetime} );
			$scheduled = BDPRSS2::getage( $r->{$bdprss_db->cnextpolltime} );
			$pollingfreq = $r->{$bdprss_db->cpollingfreqmins};
			if($scheduled == 'never') $scheduled = 'now';
			$sno = $r->{$bdprss_db->csitenameoverride} == 'Y';
			
			$siteUpdate = '';
			$name = $url;
			if($site) 
			{
				$italics = ''; $unitalics = '';
				if($sno) { $italics = '<em>'; $unitalics = '</em>'; $overriden = TRUE; }
				$name = "$italics<a href='$siteurl' title='$description'>"."$site</a>$unitalics";
				$name .= " [<a href='$url' title='$url'>feed</a>]";
				
				$ticks = $bdprss_db->get_most_recent_item_time($ref);
				$bold = ''; $unbold ='';
				if($ticks < $benchmark) { $bold = '<strong>'; $unbold ='</strong>'; }
				$siteUpdate = " $bold".BDPRSS2::getage($ticks)."$unbold"; 
			}
			
			$bold = '';
			$unbold = '';
			if( $r->{$bdprss_db->clastpolltime} != $r->{$bdprss_db->cupdatetime} ) { 
				$bold = '<strong>'; 
				$unbold = '</strong>'; 
			}
			
			$sbold = ''; $sunbold = '';
			if($r->{$bdprss_db->cnextpolltime} < $now)
			{
				$sbold = '<strong>'; 
				$sunbold = '</strong>'; 
			}
			
			$class = ('alternate' == $class) ? '' : 'alternate';
			
			$errorCount = $bdprss_db->countErrors($url);
			if($errorCount) 
				$name .= " <a href='".$file.
					"&amp;action=errorlist&amp;rss=$ref'>[<strong>E&nbsp;$errorCount</strong>]</a>";
			
			echo "<tr class='$class' valign='middle' align='center'>\n".
				"\t<td align='left'>$name</td>\n".
				"\t<td align='center'>$siteUpdate</td>\n".
				"\t<td align='center'>";
			if($gmt != 0.0)	echo $gmt;
			echo "</td>\n".
				"\t<td align='center'>";
			if(	$pollingfreq ) echo "$pollingfreq minutes";
			echo "</td>\n" .
				"\t<td align='center'>$polled</td>\n" .
				"\t<td align='center'>$bold $updated $unbold</td>\n".
				"\t<td align='center'>$sbold $scheduled $sunbold</td>\n".
				"\t<td align='center'><a href='" .$file. 
				"&amp;action=editfeed&amp;rss=$ref'>Bearbeiten</a></td>\n".
				"\t<td align='center'><a href='" .$file. 
				"&amp;action=update&amp;rss=$ref'>Abholen</a></td>\n".
				"\t<td align='center'><a href='" .$file. 
				"&amp;action=delete&amp;rss=$ref'>L&ouml;schen</a></td>\n".
				"</tr>\n";
		}
	}
}
?>
</table>

<?php

if($overriden) 
	echo "<p><b>Achtung:</b> Websites in <em>kursiver Schrift</em> haben &uuml;berschriebene Feed-Einstellungen. ".
	"Um diese auf den Standard zur&uuml;ckzusetzen: Bearbeite die Seite, klicke auf das Kontrollk&auml;stchen um die &Uuml;berschreibung der Feed-Vorgaben abzuschalten und ".
	"klicke auf die Bearbeiten-Schaltfl&auml;che. Wenn du den Feed neu abholst, werden die Angaben aus dem Feed &uuml;bernommen.</p>\n";

// improved monitoring of feed errors
if($bdprss_db->countErrors())
{
	echo "<hr width='50%' />\n\n<h4>Letzte Feed-Fehler</h4>\n\n";

	echo "<table width='100%' cellpadding='3' cellspacing='3'>\n";
	echo "<tr><td align='left'>".
		"<a href='".$file."&amp;action=errorlist'>Zeige alle Feed-Fehler</a></td>\n";
	echo "<td align='right'>".
		"<a href='".$file."&amp;action=errordelete'>L&ouml;sche das Fehlerlogbuch</a></td>\n";
	echo "</tr></table>";
}

// lets put the list of URLs in the OUTPUT - they can be useful!
if($result) 
{
	echo "<hr width='50%' />\n\n<h4>Eine Liste von Feeds</h4>\n\n";

	echo "<p>Diese Liste kann kopiert und in eine Datei gesichert werden. Wenn du alles l&ouml;schst, ".
		"kannst du diese Liste in das Eingabefeld f&uuml;r das Hinzuf&uuml;gen von Feeds einf&uuml;gen und hast deine alten Feeds zur&uuml;ck.</p>\n<p>";
	$subsequent = false;
	foreach($result as $r) 
	{
		if($subsequent) echo " ";
		$subsequent = true;
		$url = $r->{$bdprss_db->cfeedurl};
		echo $url;
	}
	echo "</p>\n";
}
?>
</fieldset>



<p><hr /></p>



<fieldset>
<a name="createformat"></a>
<h3>Schritt 2: Ausgabeformate</h3>

<h4><a href="<?php echo "$selfreference&amp;action=createlist"; ?>">Erzeuge ein neues Ausgabeformat</a></h4>

<?php 
global $bdprss_db;
if($bdprss_db->count_in_listtable()) {
?>

	<h4>Definierte Ausgabeformate</h4>
	<table width="100%" cellpadding="3" cellspacing="3">
<?php 
	global $bdprss_db;

	$file = get_settings('siteurl') . '/wp-admin/edit.php?page=' . BDPRSS2_DIRECTORY. '/bdp-rssadmin.php';

	echo "<tr><th>Ausgabeformat-ID</th><th width='75%'>Name</th><th colspan='2'>Aktionen</th></tr>\n";

	$result = $bdprss_db->get_all_lists();

	if($result) {
		$class = '';
		foreach($result as $r) {
			$id = $r->{$bdprss_db->lidentifier};
			$name = htmlspecialchars($r->{$bdprss_db->lname});

			$class = ('alternate' == $class) ? '' : 'alternate';

			echo "<tr class='$class' valign='middle' align='center'>\n".
				"<td>$id</td><td width='75%'>$name</td>".
				"<td><a href='$selfreference&amp;action=editlist&amp;list=$id'>Bearbeiten</a></td>".
				"<td><a href='$selfreference&amp;action=dellist&amp;list=$id'>L&ouml;schen</a></td>".
				"</tr>";
		}
	}
}

?>
</table>
</fieldset>



<p><hr /></p>



<fieldset>
<a name="setpolling"></a>
<h3>Schritt 3: Einstellungen f&uuml;r die Feedabholung</h3>
<form method="post" action="<?php echo $selfreference; ?>">
	
	<table border="0" width="100%" cellspacing="2" cellpadding="5" class="editform"> 
	<tr valign="top">
		<th  width="40%" scope="row">
			Standard-H&auml;ufigkeit der Feed-Abholung:
		</th>
		<td>
			<input type="range" name="bdprss_new_frequency" 
					value="<?php echo get_option('bdprss_update_frequency'); ?>" 
					maxlength="3" size="3" /> minutes<br>
					Diese Zeitspanne wird benutzt, wenn keine spezielle Zeitspanne f&uuml;r einen einzelnen Feed angegeben wird.
		</td>
	</tr>
	<tr valign="top">
		<th  width="40%" scope="row">
			Lebensdauer der gespeicherten Feedelemente:
		</th>
		<td>
			<input type="range" name="bdprss_keep_howlong" 
					value="<?php echo intval(get_option('bdprss_keep_howlong')); ?>" 
					maxlength="3" size="3" /> Monate (Null = keine L&ouml;schung)
		</td>
	</tr>
	<tr valign="top">
		<td align="right" colspan="2">
			<input type="submit" name="bdprss_change_frequency_button" 
			value="&Auml;ndern &raquo;" />
		</td>
	</tr>
	</table>

</form>
</fieldset>



<p><hr /></p>



<h3>Verschiedenes</h3>

<fieldset>
<h4>Alle Feeds jetzt abholen</h4>
<p>Hab etwas Geduld, das kann ein wenig dauern.</p>
<form method="post" action="<?php echo $selfreference; ?>">
		<p align="right">
			<input type="submit" name="bdprss_poll_all_button" value="Alles abholen" />
		</p>
</form>
</fieldset>


<fieldset>
<h4>Die &quot;L&ouml;sche alles&quot;-Schaltfl&auml;che des Todes!</h4>
<p>Diese Schaltfl&auml;che erzeugt die Tabellen in der Datenbank neu. Das kann n&ouml;tig sein, wenn du von einer fr&uuml;heren Version des RSS-Aggregators upgradest.</p>
<p>Es gibt <b>keine zweite Chance</b>. Nach einem Klick auf die Schaltfl&auml;che des Todes ist alles unwiederbringlich gel&ouml;scht.</p>
<form method="post" action="<?php echo $selfreference; ?>">
		<p align="right">
			<input type="submit" name="bdprss_button_of_death" value="Alles l&ouml;schen!"/>
		</p>
</form>
</fieldset>




<br />




<p><hr /></p>

<fieldset>
<h3>Hinweise:</h3> 
<ul>

<li>Obwohl dieses System f&uuml;r RSS-Feeds aus <a href="http://wordpress.org/">Wordpress</a> entworfen wurde, sollte es auch mit den RDF-Feeds aus Typepad und den ATOM-Feeds aus Blogger funktionieren. Es wird aber nicht mit mehrkanaligen RSS-1.0-Feeds arbeiten.</li>

<li>Die Anzahl Feeds, die abgeholt werden, h&auml;ngt von den Zugriffen auf dein Blog und von der H&auml;ufigkeit der Abholung ab. Typischerweise wird jeder Zugriff auf dein Blog einen Feed aktualisieren. Je h&auml;ufiger die Besucher kommen, desto mehr Feeds kannst du mit diesem Plugin zeitnah darstellen.</li>

<li>Die schnelle, deutsche &Uuml;bel-Setzung dieses Plugins hat <a href="http://www.tamagothi.de/">Elias Schwerdtfeger</a> angefertigt. Sie wurde direkt in den Quelltexten vorgenommen, eine einfache &Uuml;bersetzung in eine weitere Sprache vermittels des <code>gettext</code>-Mechanismus ist also nicht m&ouml;glich.</li>

</ul>
</fieldset>

